curl --request GET \
--url https://api.scalev.com/v3/developer/oauth-billing/ledger \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"entry_type": "<string>",
"amount": 123,
"currency": "<string>",
"balance_before": 123,
"balance_after": 123,
"description": "<string>",
"charge_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": 123,
"oauth_application_id": 123,
"capture_context": {
"application_id": 123,
"application_name": "<string>",
"billing_tag": "<string>",
"action_key": "<string>",
"action_label": "<string>",
"reservation_id": "<string>",
"charge_id": "<string>",
"request_id": "<string>",
"billing_idempotency_key": "<string>",
"merchant_business_id": 123,
"developer_business_id": 123,
"oauth_authorized_business_id": 123,
"gross_amount": 123,
"platform_fee_amount": 123,
"developer_net_amount": 123,
"currency": "<string>",
"response_status": 123
},
"metadata": {}
}
],
"is_paginated": true,
"has_next": true,
"has_previous": true,
"next_cursor": "<string>",
"previous_cursor": "<string>",
"page_size": 123
}Requires business auth with business:manage_developer_settings.
curl --request GET \
--url https://api.scalev.com/v3/developer/oauth-billing/ledger \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"entry_type": "<string>",
"amount": 123,
"currency": "<string>",
"balance_before": 123,
"balance_after": 123,
"description": "<string>",
"charge_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": 123,
"oauth_application_id": 123,
"capture_context": {
"application_id": 123,
"application_name": "<string>",
"billing_tag": "<string>",
"action_key": "<string>",
"action_label": "<string>",
"reservation_id": "<string>",
"charge_id": "<string>",
"request_id": "<string>",
"billing_idempotency_key": "<string>",
"merchant_business_id": 123,
"developer_business_id": 123,
"oauth_authorized_business_id": 123,
"gross_amount": 123,
"platform_fee_amount": 123,
"developer_net_amount": 123,
"currency": "<string>",
"response_status": 123
},
"metadata": {}
}
],
"is_paginated": true,
"has_next": true,
"has_previous": true,
"next_cursor": "<string>",
"previous_cursor": "<string>",
"page_size": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cursor page size.
x >= 1Opaque cursor for the next page.
Opaque cursor for the previous page.
Filter by OAuth application ID.
Filter by developer earnings ledger entry type.
accrual, withdrawal, adjustment